org.apache.calcite.avatica

## Class Meta.MetaResultSet

- java.lang.Object
- - org.apache.calcite.avatica.Meta.MetaResultSet

Enclosing interface:
  Meta

    public static class Meta.MetaResultSet
    extends Object

Meta data from which a result set can be constructed.

If `updateCount` is not -1, the result is just a count. A result set cannot be constructed.

### Field Summary

Fields
`String` `connectionId`
`Meta.Frame` `firstFrame`
`boolean` `ownStatement`
`Meta.Signature` `signature`
`int` `statementId`
`long` `updateCount`

### Constructor Summary

Constructors
`protected` `Meta.MetaResultSet(String connectionId, int statementId, boolean ownStatement, Meta.Signature signature, Meta.Frame firstFrame, int updateCount)` Deprecated.
`protected` `Meta.MetaResultSet(String connectionId, int statementId, boolean ownStatement, Meta.Signature signature, Meta.Frame firstFrame, long updateCount)`

### Method Summary

Methods
`static Meta.MetaResultSet` `count(String connectionId, int statementId, long updateCount)`
`static Meta.MetaResultSet` `create(String connectionId, int statementId, boolean ownStatement, Meta.Signature signature, Meta.Frame firstFrame)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### connectionId

    public final String connectionId

#### statementId

    public final int statementId

#### ownStatement

    public final boolean ownStatement

#### firstFrame

    public final Meta.Frame firstFrame

#### signature

    public final Meta.Signature signature

#### updateCount

    public final long updateCount

### Constructor Detail

#### Meta.MetaResultSet

    @Deprecated
    protected Meta.MetaResultSet(String connectionId,
                                 int statementId,
                                 boolean ownStatement,
                                 Meta.Signature signature,
                                 Meta.Frame firstFrame,
                                 int updateCount)

Deprecated.

#### Meta.MetaResultSet

    protected Meta.MetaResultSet(String connectionId,
                      int statementId,
                      boolean ownStatement,
                      Meta.Signature signature,
                      Meta.Frame firstFrame,
                      long updateCount)

### Method Detail

#### create

    public static Meta.MetaResultSet create(String connectionId,
                            int statementId,
                            boolean ownStatement,
                            Meta.Signature signature,
                            Meta.Frame firstFrame)

#### count

    public static Meta.MetaResultSet count(String connectionId,
                           int statementId,
                           long updateCount)